Bug 157767 - Register all debugger services via annotations
Summary: Register all debugger services via annotations
Status: RESOLVED FIXED
Alias: None
Product: debugger
Classification: Unclassified
Component: Code (show other bugs)
Version: 6.x
Hardware: All All
: P2 blocker (vote)
Assignee: Martin Entlicher
URL:
Keywords:
Depends on: 153093 189840 189841 190080
Blocks: 186517
  Show dependency tree
 
Reported: 2009-02-02 12:39 UTC by Martin Entlicher
Modified: 2010-09-15 03:05 UTC (History)
0 users

See Also:
Issue Type: ENHANCEMENT
Exception Reporter:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Entlicher 2009-02-02 12:39:02 UTC
After issue #153093 was fixed, all debugger services in the NetBeans IDE should be registered via annotations.
Comment 1 Martin Entlicher 2009-12-21 10:22:55 UTC
BreakpointTypes are registered via annotations in changeset:   156112:b13531ba8b98
http://hg.netbeans.org/main/rev/b13531ba8b98
Comment 2 Quality Engineering 2009-12-21 23:38:31 UTC
Integrated into 'main-golden', will be available in build *200912220201* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/b13531ba8b98
User: mentlicher@netbeans.org
Log: #157767 - BreakpointTypes are registered via annotations. See also bug #178890.
Comment 3 Martin Entlicher 2010-08-25 13:15:46 UTC
Fix of issues #189840 and #189841 is necessary to have the correct functionality after converting debugger services registration to annotations.
Comment 4 Martin Entlicher 2010-09-06 13:23:19 UTC
ViewModelListeners are adapted to various extensions of TreeModel and NodeModel, for correct lookup result in changeset:   177085:04d674b90c8a
http://hg.netbeans.org/main/rev/04d674b90c8a
Comment 5 Martin Entlicher 2010-09-10 17:05:10 UTC
Mostly implemented in changeset:   177349:cb37ceb8b9e2
http://hg.netbeans.org/main/rev/cb37ceb8b9e2
Comment 6 Quality Engineering 2010-09-11 03:38:28 UTC
Integrated into 'main-golden', will be available in build *201009110000* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/cb37ceb8b9e2
User: mentlicher@netbeans.org
Log: #157767 Register debugger services via annotations.
Comment 7 Martin Entlicher 2010-09-14 15:42:33 UTC
Further debugger services registered via annotations in changeset:   177443:8cbd0e8a7bef
http://hg.netbeans.org/main/rev/8cbd0e8a7bef
Comment 8 Quality Engineering 2010-09-15 03:05:54 UTC
Integrated into 'main-golden', will be available in build *201009150000* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/8cbd0e8a7bef
User: mentlicher@netbeans.org
Log: #157767 Register debugger services via annotations.